scala.xml.parsing

# DefaultMarkupHandler

#### abstract class DefaultMarkupHandler extends MarkupHandler

Default implementation of markup handler always returns `NodeSeq.Empty`

Source
  DefaultMarkupHandler.scala

Linear Supertypes
MarkupHandler, Logged, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DefaultMarkupHandler
2. MarkupHandler
3. Logged
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DefaultMarkupHandler()

### Abstract Value Members

1. #### abstract def reportSyntaxError(pos: Int, str: String): Unit

   Definition Classes
     MarkupHandler

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DefaultMarkupHandler to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (DefaultMarkupHandler, B)

   Implicit information
     This member is added by an implicit conversion from DefaultMarkupHandler to ArrowAssoc[DefaultMarkupHandler] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

9. #### def attListDecl(name: String, attList: List[AttrDecl]): Unit

   Definition Classes
     MarkupHandler

10. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

11. #### def comment(pos: Int, comment: String): NodeSeq

    callback method invoked by MarkupParser after parsing comment.

    callback method invoked by MarkupParser after parsing comment.

    Definition Classes
      DefaultMarkupHandler → MarkupHandler

12. #### var decls: List[Decl]

    Definition Classes
      MarkupHandler

13. #### def elem(pos: Int, pre: String, label: String, attrs: MetaData, scope: NamespaceBinding, empty: Boolean, args: NodeSeq): NodeSeq

    callback method invoked by MarkupParser after parsing an element, between the elemStart and elemEnd callbacks

    callback method invoked by MarkupParser after parsing an element, between the elemStart and elemEnd callbacks

    pos

      the position in the source file

    pre

      the prefix

    label

      the local name

    attrs

      the attributes (metadata)

    empty

      `true` if the element was previously empty; `false` otherwise.

    args

      the children of this element

    Definition Classes
      DefaultMarkupHandler → MarkupHandler

14. #### def elemDecl(n: String, cmstr: String): Unit

    Definition Classes
      MarkupHandler

15. #### def elemEnd(pos: Int, pre: String, label: String): Unit

    callback method invoked by MarkupParser after end-tag of element.

    callback method invoked by MarkupParser after end-tag of element.

    pos

      the position in the source file

    pre

      the prefix

    label

      the local name

    Definition Classes
      MarkupHandler

16. #### def elemStart(pos: Int, pre: String, label: String, attrs: MetaData, scope: NamespaceBinding): Unit

    callback method invoked by MarkupParser after start-tag of element.

    callback method invoked by MarkupParser after start-tag of element.

    pos

      the position in the sourcefile

    pre

      the prefix

    label

      the local name

    attrs

      the attributes (metadata)

    Definition Classes
      MarkupHandler

17. #### def endDTD(n: String): Unit

    Definition Classes
      MarkupHandler

18. #### def ensuring(cond: (DefaultMarkupHandler) ⇒ Boolean, msg: ⇒ Any): DefaultMarkupHandler

    Implicit information
      This member is added by an implicit conversion from DefaultMarkupHandler to Ensuring[DefaultMarkupHandler] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: (DefaultMarkupHandler) ⇒ Boolean): DefaultMarkupHandler

    Implicit information
      This member is added by an implicit conversion from DefaultMarkupHandler to Ensuring[DefaultMarkupHandler] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean, msg: ⇒ Any): DefaultMarkupHandler

    Implicit information
      This member is added by an implicit conversion from DefaultMarkupHandler to Ensuring[DefaultMarkupHandler] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: Boolean): DefaultMarkupHandler

    Implicit information
      This member is added by an implicit conversion from DefaultMarkupHandler to Ensuring[DefaultMarkupHandler] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### var ent: Map[String, EntityDecl]

    Definition Classes
      MarkupHandler

23. #### def entityRef(pos: Int, n: String): NodeSeq

    callback method invoked by MarkupParser after parsing entity ref.

    callback method invoked by MarkupParser after parsing entity ref.

    Definition Classes
      DefaultMarkupHandler → MarkupHandler
    To do

      expanding entity references

24. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

26. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

27. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from DefaultMarkupHandler to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

28. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

29. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

30. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

31. #### val isValidating: Boolean

    returns true is this markup handler is validating

    returns true is this markup handler is validating

    Definition Classes
      MarkupHandler

32. #### def log(msg: String): Unit

    This method should log the message given as argument somewhere as a side-effect.

    This method should log the message given as argument somewhere as a side-effect.

    msg

      message to be logged

    Definition Classes
      Logged

33. #### def lookupElemDecl(Label: String): ElemDecl

    Definition Classes
      MarkupHandler

34. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

35. #### def notationDecl(notat: String, extID: ExternalID): Unit

    Definition Classes
      MarkupHandler

36. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

37. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

38. #### def parameterEntityDecl(name: String, edef: EntityDef): Unit

    Definition Classes
      MarkupHandler

39. #### def parsedEntityDecl(name: String, edef: EntityDef): Unit

    Definition Classes
      MarkupHandler

40. #### def peReference(name: String): Unit

    Definition Classes
      MarkupHandler

41. #### def procInstr(pos: Int, target: String, txt: String): NodeSeq

    callback method invoked by MarkupParser after parsing PI.

    callback method invoked by MarkupParser after parsing PI.

    Definition Classes
      DefaultMarkupHandler → MarkupHandler

42. #### def replacementText(entityName: String): io.Source

    Definition Classes
      MarkupHandler

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### def text(pos: Int, txt: String): NodeSeq

    callback method invoked by MarkupParser after parsing text.

    callback method invoked by MarkupParser after parsing text.

    Definition Classes
      DefaultMarkupHandler → MarkupHandler

45. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

46. #### def unparsedEntityDecl(name: String, extID: ExternalID, notat: String): Unit

    Definition Classes
      MarkupHandler

47. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

48. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

49. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

50. #### def →[B](y: B): (DefaultMarkupHandler, B)

    Implicit information
      This member is added by an implicit conversion from DefaultMarkupHandler to ArrowAssoc[DefaultMarkupHandler] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from DefaultMarkupHandler to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (defaultMarkupHandler: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from DefaultMarkupHandler to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (defaultMarkupHandler: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: DefaultMarkupHandler

   Implicit information
     This member is added by an implicit conversion from DefaultMarkupHandler to ArrowAssoc[DefaultMarkupHandler] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (defaultMarkupHandler: ArrowAssoc[DefaultMarkupHandler]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: DefaultMarkupHandler

   Implicit information
     This member is added by an implicit conversion from DefaultMarkupHandler to Ensuring[DefaultMarkupHandler] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (defaultMarkupHandler: Ensuring[DefaultMarkupHandler]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from MarkupHandler

### Inherited from Logged

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DefaultMarkupHandler to StringAdd

### Inherited by implicit conversion any2stringfmt from DefaultMarkupHandler to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from DefaultMarkupHandler to ArrowAssoc[DefaultMarkupHandler]

### Inherited by implicit conversion any2Ensuring from DefaultMarkupHandler to Ensuring[DefaultMarkupHandler]

### Ungrouped